Bug 138957 - Print automatically inserted blank pages should be turned off by default
Summary: Print automatically inserted blank pages should be turned off by default
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
unspecified
Hardware: All All
: medium enhancement
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2020-12-15 20:47 UTC by Bill Sparrow
Modified: 2021-06-07 12:58 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Bill Sparrow 2020-12-15 20:47:33 UTC
Description:
When I run a mail merge to mailing labels it creates an extra blank page between each page. I have found from the forum that I can prevent these blank pages from printing by going to Tools / Options / LibreOffice Writer / Print / Print automatically inserted blank pages and remove the tick, but why is it creating them in the first place?

(Besides, turning off that option would mess things up if I was, for example, printing a book that needed to have all chapters starting on a right hand page.)

Having the pages of labels identified on screen as 1, 3, 5 as I scroll through the document is really confusing! If I want to print a single page of labels, I have to bear in mind that to print the page that is identified on screen as page 5, I need to select page 3 in the print dialog.

Steps to Reproduce:
1. Create a spreadsheet of mailing addresses
2. Create a Writer document of mailing labels using this as a source database
3. Run the mailmerge and print the resulting document

Actual Results:
An extra blank page is inserted into the merged document between each actual page of labels. The blank pages are not displayed on screen in the merged document, however the pages that are shown are numbered 1, 3, 5...

Expected Results:
The merged document should consist of a continuous series of labels


Reproducible: Always


User Profile Reset: Yes



Additional Info:
Version: 7.0.1.2 (x64)
Build ID: 7cbcfc562f6eb6708b5ff7d7397325de9e764452
CPU threads: 16; OS: Windows 10.0 Build 19041; UI render: Skia/Raster; VCL: win
Locale: en-GB (en_GB); UI: en-GB
Calc: CL
Comment 1 Timur 2021-04-09 16:38:00 UTC
This is a duplicate of Bug 48951 and NotABug. 
But let me convert it to enhancement request to have Options / LibreOffice Writer / Print / Print automatically inserted blank pages turned off by default.
Comment 2 Bill Sparrow 2021-04-12 13:39:56 UTC
Hi Timur. 

Sorry, I have just realised that you have highlighted there are actually three related reports... "bug 48951", "bug 134723", and "bug 138957". I have just mistakenly added a comment to 134723 thinking that it was my report!

I will avoid repeating my comment here, but in summary I don't think that your enhancement request is appropriate. See this comment for my reasoning...

https://bugs.documentfoundation.org/show_bug.cgi?id=134723#c3
Comment 3 Tom Walker 2021-06-07 12:00:49 UTC
(In reply to Timur from comment #1)
> This is a duplicate of Bug 48951 and NotABug. 
> But let me convert it to enhancement request to have Options / LibreOffice
> Writer / Print / Print automatically inserted blank pages turned off by
> default.

I created an account to file this as a bug as I've now been running into it repeatedly for several months, but found it already open here so I'll comment here: 

In the case of labels at least, "print automatically inserted blank pages" is not a behaviour anyone would ever want. It's nothing but a sharp edge for users who have to go and find a setting - worse, you have to turn it off *every time* you print a new document of labels.

I can see the argument that turning the setting off affects other use cases outside labels, but for labels it should always be turned off. I can see a few ways of doing it:

1. Detect/declare whether a document consists of labels, turn the setting off by default in that case.
2. Fix the problem earlier in the chain by modifying the label-producing code to alternate left and right pages (I understand this is the root cause of the issue).

I don't really see how this is 'not a bug' - it may be an intended part of the overall design, but if you look at it only from the point of view of producing labels, inserting always-unwanted blank pages that need to be turned off looks like a bug to me.
Comment 4 Timur 2021-06-07 12:58:51 UTC
User can change setting/turn it off, so that's not a bug. 
But many are not aware and it's annoying, so this enhancement.
No matter how we call it, it needs a dev to do it - even if seems like easy hack.